--- title: "Create a Controller" slug: "create-a-controller-2" tags: ["Product Usage", "vIPS 11.1x", "vIPS"] updated: 2026-09-11T20:53:22Z published: 2026-09-11T20:53:22Z canonical: "docs.trellix.com/create-a-controller-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Create a Controller This URL creates a new Controller. ### Resource URL POST /controller ### Request Parameters Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `name` | Name of cloud account | string | Yes | | `description` | Description of the cloud account | string | Yes | | `serviceIp` | IP address of the Controller | string | Yes | | `sharedSecretKey` | Shared secret key of the Controller | string | Yes | | `cloudType` | Type of cloud account. | string | Yes | | `authType` | Type of authentication. The values can be `key_based` or `no_key`. If you are using `key_based` authentication, you should provide authentication details. If you are using `no_key` authentication, you need not provide the authentication details. Authentication is done through Dynamic Groups. | string | Yes | | `authenticator` | Authentication details | object | No | Details of authenticator in AWS deployments: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `accountId` | Account ID | string | No | | `accessKey` | Access key used for authentication | string | No | | `secret` | Pass phrase used for authentication | string | No | Details of authenticator in Azure deployments: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `accountId` | Account ID | string | No | | ` tenantId` | Tenant ID | string | No | | ` appId` | Application ID | string | No | | ` appKey` | Application Key | string | No | | ` subscription` | Subscription number | number | No | ### Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | `success` | Indicates if creation of Controller is successful. Value is set to `true` if creation of the Controller is successful. Value is set to `false` if creation of the Controller is not successful. | string | | `msg` | Not applicable | Not applicable | | `errMsg` | Not applicable | Not applicable | | `domainName` | Not applicable | Not applicable | | `data` | Controller object | object | Details of data | Field Name | Description | Data Type | | --- | --- | --- | | `cloudUuid` | Cloud unique Id of the Controller instance | string | | `hostName` | Hostname on which the Controller is installed | string | | `controllerVersion` | Version of the Controller | string | | `agentVersion` | Version of the Virtual Probe | string | | `name` | Controller name | string | | `description` | Description of the Controller | string | | `controllerId` | ID of the newly created Controller | number | | `serviceIp` | IP address of the Controller | string | | `subscriberId` | Domain ID | number | | `sharedSecretKey` | Shared secret key | string | | `status` | Status of the Controller | string | | `creationTime` | Creation time of the Controller | number | | `cloudAccounts` | Cloud accounts configured for the Controller | string | | `lastModifiedTime` | Last modified time of the Controller | number | | `controllerName` | Name of the Controller | string | ### Example ****Request**** POST [https:///intruvert/webservice/api/v1/cloud/controller](https://<NSM_IP>/intruvert/webservice/api/v1/cloud/controller) Payload in AWS deployments ``` { "name": "Controller-6", "description": "Test controller creation", "serviceIp": null, "sharedSecretKey": "admin123", "cloudAccounts": [{ "name":"acc_1", "description":"test account" "authType": { "code": "key_based" }, "cloudType": { "name": "aws" }, "valid": true, "authenticator": { "accountId": 0, "accessKey": "AKIAJCPSSYIORDW5XYZ", "secret": "test123" } } ``` Payload in Azure deployments ``` { "name": "Controller-6", "description": "Test controller creation", "serviceIp": null, "sharedSecretKey": "admin123", "cloudAccounts": [{ "name":"acc_1", "description":"test account" "authType": { "code": "key_based" }, "cloudType": { "name": "azure" }, "valid": true, "authenticator": { "accountId": 0, "tenantId": "xyz", "appId": "appIdXYZ", "appKey": "apKey", "subscription":"6873904" } } ``` ****Response**** ``` { "success": true, "msg": null, "errMsg": null, "domainName": null, "data": { "cloudUuid": null, "hostName": null, "controllerVersion": null, "agentVersion": null, "name": "Controller-6", "description": "Test controller creation", "controllerId": 5, "serviceIp": null, "subscriberId": 0, "sharedSecretKey": "7a4a7b462c2f5a454e792118591d5c5c", "status": "UNREGISTERED", "creationTime": null, "lastModifiedTime": 1556272624000 }, "controllerName": null } ```